#ifndef XEFFECTDEFREF_H
#define XEFFECTDEFREF_H

#include "xasset.h"
#include "xeffectdef.h"

class XEffectDefRef : public XAsset
{
public:
    explicit XEffectDefRef();
    ~XEffectDefRef();

    void Clear() override;
    void ParseData(QDataStream *aStream) override;

private:
    qint32 mHandlePtr;
    const XEffectDef *mHandle;

    qint32 mNamePtr;
    QString mName;
};

#endif // XEFFECTDEFREF_H
